export type Path = Navigator[];
export type Navigator = PropIndexNavigator | SliceNavigator;
export type PropIndexNavigator = [NavigatorType.PropIndex, string | symbol | number | NavigatorVariable, boolean];
export type SliceNavigator = [NavigatorType.Slice, number | NavigatorVariable, number | NavigatorVariable, boolean];
export declare const enum NavigatorType {
    PropIndex = 0,
    Slice = 1
}
export type NavigatorVariable = PathArgument;
export type PathArgument = [NavigatorVariableType.PathArgument, any];
export declare const enum NavigatorVariableType {
    PathArgument = 0
}
export declare function isPathArgument(value: any): value is PathArgument;
