import { Token } from './token';
export declare function lex(source: string): Token[];
export declare class Lexer implements IterableIterator<Token> {
    source: string;
    position: number;
    readPosition: number;
    ch: string;
    afterInteger: boolean;
    constructor(source: string);
    next(): IteratorResult<Token>;
    private skipWhitespaces;
    private readOptDot;
    private readDecimalInteger;
    private readBinaryInteger;
    private readOctalInteger;
    private readHexInteger;
    private readString;
    private readIdentifier;
    private readChar;
    private peekChar;
    [Symbol.iterator](): IterableIterator<Token>;
}
